
    struct Node {
	string name;
	sequence<Node> next;
    };

    union Nums	switch (char)
    {
        case 'f': float f;
        case 'l': long l;
        default: short s;
    };

    typedef string strings[3];
    typedef sequence< string > stringSeq;

    interface AnyServer 
    {
	string generic(in any a);
    };

   
